<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Uebersicht;

class UebersichtPanelMitWssView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/panel.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->index => $this->viewModel->panel);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpBasis(true);
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->datamodul);
  }
}

class UebersichtPanelMitWssViewModel extends \Kufer\KuferTools\Basis\View\BasisViewModel
{
  public $panel;
  public $columns;
  public $index;
  public $datamodul;
}